{ stdenv, lib, python3Packages, fetchFromGitHub, fetchgit, makeWrapper, pkgs }:

python3Packages.buildPythonPackage rec {
  name = "gmqtt";
  version = "v0.6.12";
  src = fetchFromGitHub {
    owner = "wialon";
    repo = "gmqtt";
    rev = "190d12156890efcfc5099fea0f7ef3ce072c4a27";
    sha256 = "sha256-lhvRRZsrJy2U7b705GTlquAP/LwKEmInuVC4zzivmKk=";
  };

  buildInputs = [
    (pkgs.python3.withPackages (ps: [
      ps.codecov
      ps.pytest-asyncio
      ps.pytest
      ps.pytestcov
      ps.six
      ps.uvloop
      ps.more-itertools
      ps.atomicwrites
    ]))
  ];

  propagatedBuildInputs = with pkgs.python3Packages; [ setproctitle ];

  meta = {
    homepage = "https://github.com/wialon/gmqtt";
    description = "gmqtt";
  };
}